#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/28 18:16
# @File        : init_elasticsearch.py
# @Description :
"""


from flask import Flask

from application.libs import FlaskElasticsearch

es = FlaskElasticsearch()


def init_elasticsearch(app: Flask) -> None:
    """
    Initialize the flask_elasticsearch extension

    :param app: flask.Flask application instance
    :return: None
    """
    es.init_app(app)
